> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.specurate.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get User Detail



## OpenAPI

````yaml /openapi.json get /admin/api/users/{id}
openapi: 3.1.0
info:
  title: Specurate API
  description: ''
  version: 1.0.0
  contact: {}
servers:
  - url: https://app.specurate.com/api
    description: API Server
security: []
tags: []
paths:
  /admin/api/users/{id}:
    get:
      tags:
        - Admin Api
      summary: Get User Detail
      operationId: AdminApiController_getUserDetail
      parameters:
        - name: id
          required: true
          in: path
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AdminUserResponseDto'
components:
  schemas:
    AdminUserResponseDto:
      type: object
      properties:
        id:
          type: string
        email:
          type: string
        firstName:
          type: string
          nullable: true
        lastName:
          type: string
          nullable: true
        status:
          enum:
            - active
            - inactive
            - deactivated
          type: string
        workspaceCount:
          type: number
        workspaces:
          type: array
          items:
            $ref: '#/components/schemas/AdminUserWorkspaceSummaryDto'
        createdAt:
          format: date-time
          type: string
      required:
        - id
        - email
        - firstName
        - lastName
        - status
        - workspaceCount
        - workspaces
        - createdAt
    AdminUserWorkspaceSummaryDto:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        governance:
          type: string
          enum:
            - owner
            - admin
            - member
      required:
        - id
        - name
        - governance

````